Microsimulation API: illnessDeath::SimplePerson Class Reference

Microsimulation API

Public Member Functions | Public Attributes | List of all members
illnessDeath::SimplePerson Class Reference
Inheritance diagram for illnessDeath::SimplePerson:
[legend]
Collaboration diagram for illnessDeath::SimplePerson:
[legend]

## Public Member Functions
| SimplePerson (const int i=0)
void | init ()
virtual void | handleMessage (const cMessage *msg)
Public Member Functions inherited from ssim::cProcess
| cProcess (Time startTime=Time(0.0))
virtual void | scheduleAt (Time t, cMessage *msg)
| schedules at time t a message msg to the current process. Adds the sendingTime, process_id and sender_process_id to the message. More...
virtual void | scheduleAt (Time t, string name)
| schedules at time t a message msg with a specific name to the current process. More...
virtual void | scheduleAt (Time t, short k)
| schedules at time t a message msg with a specific kind to the current process. More...
virtual void | send (ProcessId process_id, Time t, cMessage *msg)
| send to a given process at time t a message msg. Adds the sendingTime, process_id and sender_process_id to the message. More...
virtual void | send (ProcessId process_id, Time t, string name)
| sends to a given process at time t a message msg with a specific name. More...
virtual void | send (ProcessId process_id, Time t, short kind)
| sends to a given process at time t a message msg with a specific kind. More...
void | cancel (std::function< bool(const cMessage *msg)> pred)
| Given a predicate, remove the messages for this process. More...
void | cancel_kind (short kind)
| Given a kind, remove the messages for this process. More...
void | cancel_name (string name)
| Given a name, remove the messages for this process. More...
void | cancel_events ()
| Remove all of the messages for this process. More...
double | previous ()
| Returns the value of the previous event time for this process. More...
void | initialize ()
| Implements the method required by ssim::ProcessWithPId. Calls init() and sets the previousEventTime to the startTime. More...
virtual void | process_event (const ssim::Event *e)
| Implements the method required by ssim::ProcessWithPId This requires that the event* can be cast to a cMessage*. This calls the handleMessage(const cMessage*) method and updates previousEventTime. More...
Public Member Functions inherited from ssim::ProcessWithPId
ProcessId | activate () throw ()
| activates this process within the simulator. More...
ProcessId | pid () const throw ()
| process id of this process. More...
| ProcessWithPId () throw ()
Public Member Functions inherited from ssim::Process
virtual | ~Process ()
virtual void | stop (void)
| executed when the process is explicitly stopped. More...

## Public Attributes
state_t | state
int | id
double | z
Public Attributes inherited from ssim::cProcess
Time | startTime
Time | previousEventTime

## Detailed Description

Definition at line 21 of file illness-death.cpp.

## Constructor & Destructor Documentation

## ◆ SimplePerson()

illnessDeath::SimplePerson::SimplePerson | ( | const int | i = `0` | ) |
| inline

Definition at line 27 of file illness-death.cpp.

## Member Function Documentation

## ◆ handleMessage()

void illnessDeath::SimplePerson::handleMessage | ( | const cMessage * | msg | ) |
| virtual

Handle receiving self-messages

Implements ssim::cProcess.

Definition at line 46 of file illness-death.cpp.

## ◆ init()

void illnessDeath::SimplePerson::init | ( |  | ) |
| virtual

Initialise a simulation run for an individual

Implements ssim::cProcess.

Definition at line 35 of file illness-death.cpp.

## Member Data Documentation

## ◆ id

int illnessDeath::SimplePerson::id

Definition at line 25 of file illness-death.cpp.

## ◆ state

state_t illnessDeath::SimplePerson::state

Definition at line 24 of file illness-death.cpp.

## ◆ z

double illnessDeath::SimplePerson::z

Definition at line 26 of file illness-death.cpp.

The documentation for this class was generated from the following file:

- /home/marcle/src/R/microsimulation/src/illness-death.cpp